package ${basePackage}.module.system.ent;

import ${basePackage}.frame.excel.annotation.ExcelNote;
import com.alibaba.excel.annotation.ExcelProperty;
import ${basePackage}.frame.excel.annotation.ExcelSelect;
import ${basePackage}.frame.excel.annotation.ExcelSheet;
import ${basePackage}.frame.base.BaseEntity;

/**
 * DEPT - 部门
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@ExcelSheet("部门")
public class Dept extends BaseEntity {

    /**
     * DEPT_CODE - 部门代码
     */
    @ExcelProperty("部门代码")
    @ExcelNote("")
    private String deptCode;
    /**
     * DEPT_NAME - 部门名称
     */
    @ExcelProperty("部门名称")
    @ExcelNote("")
    private String deptName;
    /**
     * DEPT_ALIAS - 部门别名
     */
    @ExcelProperty("部门别名")
    @ExcelNote("")
    private String deptAlias;
    /**
     * SUP_CODE - 上级代码
     */
    @ExcelProperty("上级代码")
    @ExcelNote("")
    private String supCode;
    /**
     * SUP_NAME - 上级名称
     */
    @ExcelProperty("上级名称")
    @ExcelNote("")
    private String supName;
    /**
     * VALID - 是否有效
     */
    @ExcelProperty("是否有效")
    @ExcelNote("")
    @ExcelSelect({"是", "否"})
    private Boolean valid;

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return this.deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptAlias() {
        return this.deptAlias;
    }

    public void setDeptAlias(String deptAlias) {
        this.deptAlias = deptAlias;
    }

    public String getSupCode() {
        return this.supCode;
    }

    public void setSupCode(String supCode) {
        this.supCode = supCode;
    }

    public String getSupName() {
        return this.supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}